Bug 988675 - HotRod Client recieves stale toplogy view on instance leave
HotRod Client recieves stale toplogy view on instance leave
Status: ASSIGNED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity medium
: ER5
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 02:22 EDT by Takayoshi Kimura
Modified: 2014-09-10 06:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
JDG 6.3.1 ER2 HotRod protocol 1.3 log (116.15 KB, text/plain)
2014-09-10 05:33 EDT, Alan Field
no flags Details
JDG 6.3.1 ER2 HotRod protocol 2.0 log (87.28 KB, text/plain)
2014-09-10 05:34 EDT, Alan Field
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3223 Major Open HotRod Client recieves stale toplogy view on instance leave 2014-04-29 09:01:30 EDT

  None (edit)
Description Takayoshi Kimura 2013-07-26 02:22:58 EDT
Product ticket for ISPN-3223
Comment 2 Alan Field 2014-09-10 05:33:51 EDT
Created attachment 936081 [details]
JDG 6.3.1 ER2 HotRod protocol 1.3 log
Comment 3 Alan Field 2014-09-10 05:34:41 EDT
Created attachment 936083 [details]
JDG 6.3.1 ER2 HotRod protocol 2.0 log
Comment 4 Alan Field 2014-09-10 06:34:34 EDT
The behavior with the JDG HotRod client is slightly different. After the node joins, a cluster wide rebalance occurs. If I shutdown the second node after this rebalance, then the client gets a series of exceptions before recovering. The first exception message is "Could not fetch transport", and then there are a series of "Unable to invalidate transport for server" messages for the stopped node. See the attached logs for examples.
Comment 5 Alan Field 2014-09-10 06:59:55 EDT
(In reply to Alan Field from comment #4)
> The behavior with the JDG HotRod client is slightly different. After the
> node joins, a cluster wide rebalance occurs. If I shutdown the second node
> after this rebalance, then the client gets a series of exceptions before
> recovering. The first exception message is "Could not fetch transport", and
> then there are a series of "Unable to invalidate transport for server"
> messages for the stopped node. See the attached logs for examples.

Moved these comments and attachments to a new BZ-1140123

Note You need to log in before you can comment on or make changes to this bug.